unit UPrincipal;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, ExtCtrls, Menus, jpeg;

type
  TFormPrincipal = class(TForm)
    Timer1: TTimer;
    StatusBar1: TStatusBar;
    MainMenu1: TMainMenu;
    Arquivo1: TMenuItem;
    Sair1: TMenuItem;
    Cadastro1: TMenuItem;
    Mdicos1: TMenuItem;
    Pacientes1: TMenuItem;
    Consultas1: TMenuItem;
    Agendar1: TMenuItem;
    Exames1: TMenuItem;
    Agendar2: TMenuItem;
    Image1: TImage;
    Ajuda1: TMenuItem;
    SobreoPrograma1: TMenuItem;
    procedure Timer1Timer(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Sair1Click(Sender: TObject);
    procedure Mdicos1Click(Sender: TObject);
    procedure Pacientes1Click(Sender: TObject);
    procedure Agendar1Click(Sender: TObject);
    procedure Agendar2Click(Sender: TObject);
    procedure SobreoPrograma1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormPrincipal: TFormPrincipal;

implementation

uses UMedico, Unit1, UConsulta, UExame, USobre;

{$R *.dfm}

procedure TFormPrincipal.Timer1Timer(Sender: TObject);
begin
   StatusBar1.Panels[0].Text := ' ' + FormatDateTime('hh:nn:ss',now);
StatusBar1.Panels[1].Text := ' ' + FormatDateTime ('dddd", "dd" de "mmmm" de "yyyy',now);
end;

procedure TFormPrincipal.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
   if MessageDlg('Deseja fechar a aplicao?', mtConfirmation,
                  [mbYes, mbNo], 0) = mrYes then
        begin
        Action := caFree;
        end
        else
        Action := caNone ;
end;

procedure TFormPrincipal.Sair1Click(Sender: TObject);
begin
   Close;
end;

procedure TFormPrincipal.Mdicos1Click(Sender: TObject);
begin
 FormMedico.Show;
end;

procedure TFormPrincipal.Pacientes1Click(Sender: TObject);
begin
 FormPaciente.Show;
end;

procedure TFormPrincipal.Agendar1Click(Sender: TObject);
begin
    FormConsulta.Show;
end;

procedure TFormPrincipal.Agendar2Click(Sender: TObject);
begin
  FormExame.Show;
end;

procedure TFormPrincipal.SobreoPrograma1Click(Sender: TObject);
begin
 FormSobre.Show;
end;

end.
